# PayPal Show token details

Shows details for an agreement token, by an agreement token ID that was created in [Initiate Billing Agreement API](/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-initiate-billing-agreement.md).

## Required fields

There are no required fields for show token details API.

## Optional fields

There are no optional fields.

Here is an example of a GET request that can be used for getting an agreement token.

```bash
curl -v -X GET '<SERVER URL>/billingAgreement/token/<Token>?ppcUid=<PPC Id>' \
-H 'Authorization: Bearer <Access Token>'
```

### Response

The response for show token details will look like this:

```json
{
    "description": "Stored PayPal account with The Partner merchant",
    "tokenId": "BA-2P312934M8351860T",
    "status": "APPROVED",
    "collectShippingAddress": false,
    "enableAddressChange": true,
    "redirectUrls": {
        "cancelUrl": "https://68f8497efb9ce8aeef3ed419c6ef0597.m.pipedream.net/cancel",
        "returnUrl": "https://68f8497efb9ce8aeef3ed419c6ef0597.m.pipedream.net/success"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifone.com/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-show-token-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
